]> granicus.if.org Git - postgresql/commitdiff
Cause configure --with-tcl to check for presence of <tcl.h>, as per
authorTom Lane <tgl@sss.pgh.pa.us>
Thu, 16 Dec 2004 20:41:01 +0000 (20:41 +0000)
committerTom Lane <tgl@sss.pgh.pa.us>
Thu, 16 Dec 2004 20:41:01 +0000 (20:41 +0000)
gripe from John Gray.  Also fix thinko in pltcl Makefile: if a special
Tcl include directory is specified, that ought to be searched first.

configure
configure.in
src/pl/tcl/Makefile

index fda65e4a8bbb0944482de7ef5a517f28e8189534..5cca614b8713c254535c5a2a85435f2d08122d70 100755 (executable)
--- a/configure
+++ b/configure
@@ -18494,7 +18494,121 @@ eval TCL_LIBS=\"$TCL_LIBS\"
 eval TCL_LIB_SPEC=\"$TCL_LIB_SPEC\"
 eval TCL_SHARED_BUILD=\"$TCL_SHARED_BUILD\"
 
-    fi
+        # now that we have TCL_INCLUDE_SPEC, we can check for <tcl.h>
+    ac_save_CPPFLAGS=$CPPFLAGS
+    CPPFLAGS="$TCL_INCLUDE_SPEC $CPPFLAGS"
+    if test "${ac_cv_header_tcl_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for tcl.h" >&5
+echo $ECHO_N "checking for tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl_h" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking tcl.h usability" >&5
+echo $ECHO_N "checking tcl.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tcl.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tcl.h presence" >&5
+echo $ECHO_N "checking tcl.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tcl.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  egrep -v '^ *\+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+  yes:no )
+    { echo "$as_me:$LINENO: WARNING: tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl.h: proceeding with the preprocessor's result" >&2;};;
+  no:yes )
+    { echo "$as_me:$LINENO: WARNING: tcl.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tcl.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tcl.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tcl.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tcl.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tcl.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tcl.h" >&5
+echo $ECHO_N "checking for tcl.h... $ECHO_C" >&6
+if test "${ac_cv_header_tcl_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_tcl_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tcl_h" >&5
+echo "${ECHO_T}$ac_cv_header_tcl_h" >&6
+
+fi
+if test $ac_cv_header_tcl_h = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: header file <tcl.h> is required for Tcl" >&5
+echo "$as_me: error: header file <tcl.h> is required for Tcl" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+    CPPFLAGS=$ac_save_CPPFLAGS
+fi
 
 #
 # Check for DocBook and tools
index 6914434d7393e6aacc39b379945d2fe42800327b..6f7922ae3b0c35302281a1087d8e3511df99326e 100644 (file)
@@ -1,5 +1,5 @@
 dnl Process this file with autoconf to produce a configure script.
-dnl $PostgreSQL: pgsql/configure.in,v 1.390 2004/12/03 22:24:53 pgsql Exp $
+dnl $PostgreSQL: pgsql/configure.in,v 1.391 2004/12/16 20:40:59 tgl Exp $
 dnl
 dnl Developers, please strive to achieve this order:
 dnl
@@ -1222,6 +1222,11 @@ if test "$with_tcl" = yes; then
     PGAC_EVAL_TCLCONFIGSH([$TCL_CONFIG_SH],
                           [TCL_INCLUDE_SPEC,TCL_LIB_FILE,TCL_LIBS,TCL_LIB_SPEC,TCL_SHARED_BUILD])
     AC_SUBST(TCL_SHLIB_LD_LIBS)dnl don't want to double-evaluate that one
+    # now that we have TCL_INCLUDE_SPEC, we can check for <tcl.h>
+    ac_save_CPPFLAGS=$CPPFLAGS
+    CPPFLAGS="$TCL_INCLUDE_SPEC $CPPFLAGS"
+    AC_CHECK_HEADER(tcl.h, [], [AC_MSG_ERROR([header file <tcl.h> is required for Tcl])])
+    CPPFLAGS=$ac_save_CPPFLAGS
 fi
 
 #
index 9c9ead94312b357ade976d6a1c63004b50204ed8..043e399f4d6e9d027a7290baae38b651e2c54970 100644 (file)
@@ -2,7 +2,7 @@
 #
 # Makefile for the pltcl shared object
 #
-# $PostgreSQL: pgsql/src/pl/tcl/Makefile,v 1.43 2004/09/14 03:21:27 tgl Exp $
+# $PostgreSQL: pgsql/src/pl/tcl/Makefile,v 1.44 2004/12/16 20:41:01 tgl Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -11,7 +11,7 @@ top_builddir = ../../..
 include $(top_builddir)/src/Makefile.global
 
 
-override CPPFLAGS += $(TCL_INCLUDE_SPEC)
+override CPPFLAGS := $(TCL_INCLUDE_SPEC) $(CPPFLAGS)
 
 
 # Find out whether Tcl was built as a shared library --- if not, we